<?php
/*
Plugin Name: Square Thumbnails
Version: auto
Description: Add an option to make square thumbnails
Plugin URI: auto
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('SQUARE_THUMB_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

if (defined('IN_ADMIN'))
{
  add_event_handler('init', 'square_thumbnails_init');

  function square_thumbnails_init()
  {
    global $conf;

    // Thumbnail creation page
    if (isset($_GET['page']) and $_GET['page'] == 'thumbnail')
    {
      include(SQUARE_THUMB_PATH.'thumbnail.php');
    }

    // Upload Form
    if (isset($_GET['page']) and $_GET['page'] == 'photos_add')
    {
      if (isset($_POST['submit_upload']) and @$conf['upload_form_thumb_square'])
      {
        include(SQUARE_THUMB_PATH.'functions.inc.php');
      }

      if (isset($_GET['section']) and $_GET['section'] == 'settings')
      {
        include(SQUARE_THUMB_PATH.'photo_add_settings.php');
      }
    }

    // Uploadify
    if (script_basename() == 'uploadify' and @$conf['upload_form_thumb_square'])
    {
      include(SQUARE_THUMB_PATH.'functions.inc.php');
    }
  }
}

?>